- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::NetworkVerifier Class Reference

A Verifier that talks to a remote verifier over the network. More...

`#include <gnetworkverifier.h>`

Inheritance diagram for GSmtp::NetworkVerifier:

## Public Member Functions
| NetworkVerifier (const std::string &, unsigned int, unsigned int)
| Constructor. More...
virtual | ~NetworkVerifier ()
| Destructor. More...
virtual void | verify (const std::string &rcpt_to_parameter, const std::string &mail_from_parameter, const GNet::Address &client_ip, const std::string &auth_mechanism, const std::string &auth_extra)
| Final override from GSmtp::Verifier. More...
virtual G::Signal2< std::string, VerifierStatus > & | doneSignal ()
| Final override from GSmtp::Verifier. More...
virtual void | reset ()
| Final override from GSmtp::Verifier. More...
Public Member Functions inherited from GSmtp::Verifier
virtual | ~Verifier ()
| Destructor. More...

## Detailed Description

A Verifier that talks to a remote verifier over the network.

Definition at line 41 of file gnetworkverifier.h.

## Constructor & Destructor Documentation

GSmtp::NetworkVerifier::NetworkVerifier | ( | const std::string & | server,
|  | unsigned int | connection_timeout,
|  | unsigned int | response_timeout
| ) |  |

Constructor.

Definition at line 28 of file gnetworkverifier.cpp.

References G_DEBUG, and G::slot().

GSmtp::NetworkVerifier::~NetworkVerifier | ( |  | ) |
| virtual

Destructor.

Definition at line 39 of file gnetworkverifier.cpp.

## Member Function Documentation

G::Signal2< std::string, GSmtp::VerifierStatus > & GSmtp::NetworkVerifier::doneSignal | ( |  | ) |
| virtual

Final override from GSmtp::Verifier.

Implements GSmtp::Verifier.

Definition at line 115 of file gnetworkverifier.cpp.

void GSmtp::NetworkVerifier::reset | ( |  | ) |
| virtual

Final override from GSmtp::Verifier.

Implements GSmtp::Verifier.

Definition at line 120 of file gnetworkverifier.cpp.

void GSmtp::NetworkVerifier::verify | ( | const std::string & | rcpt_to_parameter,
|  | const std::string & | mail_from_parameter,
|  | const GNet::Address & | client_ip,
|  | const std::string & | auth_mechanism,
|  | const std::string & | auth_extra
| ) |  |
| virtual

Final override from GSmtp::Verifier.

Implements GSmtp::Verifier.

Definition at line 44 of file gnetworkverifier.cpp.

References GNet::Address::displayString(), GNet::Local::fqdn(), G::Str::head(), G::Str::join(), G::Str::tail(), and G::Str::upper().

The documentation for this class was generated from the following files:

- gnetworkverifier.h
- gnetworkverifier.cpp